<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class SupplierProduct extends Model
{

    protected $table = 'supplier_product';
    
    protected $fillable = [
        'supplier_id','product_id','grade_id','standard_id'
    ];
  	
  	public $timestamps = false;

  	public function supplier()
  	{
  		return $this->belongsTo('App\Supplier','supplier_id');
  	}

  	public function product()
  	{
  		return $this->belongsTo('App\Product','product_id');
  	}

    public function grade()
    {
      return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function standard()
    {
      return $this->belongsTo('App\StandardMaster','standard_id');
    }

}
